#
# Conditional build:
%bcond_without	mate	# MATE support module
%bcond_without	xfce	# Xfce support module
#
Summary:	Delivery framework for general Input Method configuration
Summary(pl.UTF-8):	Szkielet do ogólnej konfiguracji method wprowadzania znaków
Name:		imsettings
Version:	1.6.3
Release:	1
License:	LGPL v2+
Group:		Applications/System
#Source0Download: http://code.google.com/p/imsettings/downloads/list
Source0:	https://bitbucket.org/tagoh/%{name}/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	1a2253f548f7da6ff1211d01e48a8b98
Patch0:		%{name}-constraint-of-language.patch
Patch1:		%{name}-no-bash.patch
Patch2:		%{name}-format-security.patch
URL:		https://tagoh.bitbucket.org/imsettings/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	dbus-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
# for fallback support in GTK+
BuildRequires:	gtk+2-devel >= 2:2.24.11
BuildRequires:	gtk+3-devel >= 3.3.3
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libgxim-devel >= 0.5.0
BuildRequires:	libnotify-devel >= 0.7.0
%{?with_mate:BuildRequires:	mate-conf-devel}
BuildRequires:	pkgconfig
%{?with_xfce:BuildRequires:	xfconf-devel}
BuildRequires:	xorg-lib-libX11-devel
Requires:	%{name}-desktop-module = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libnotify >= 0.7.0
Requires:	xinitrc-ng
Requires:	xorg-app-xinit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains the core DBus services and some utilities.

%description -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera główne usługi DBus oraz trochę narzędzi.

%package libs
Summary:	IMSettings library
Summary(pl.UTF-8):	Biblioteka IMSettings
Group:		Libraries
Requires:	glib2 >= 1:2.26.0

%description libs
IMSettings library.

%description libs -l pl.UTF-8
Biblioteka imsettings.

%package devel
Summary:	Header files for IMSettings library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki IMSettings
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for IMSettings library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki IMSettings.

%package static
Summary:	Static IMSettings library
Summary(pl.UTF-8):	Statyczna biblioteka IMSettings
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static IMSettings library.

%description static -l pl.UTF-8
Statyczna biblioteka IMSettings.

%package xim
Summary:	XIM support on imsettings
Summary(pl.UTF-8):	Obsługa XIM dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Requires:	libgxim >= 0.4.0

%description xim
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working with XIM.

%description xim -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla usługi XIM.

%package gnome2
Summary:	GNOME 2 (GConf) support on imsettings
Summary(pl.UTF-8):	Obsługa GNOME 2 (GConfa) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description gnome2
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on GNOME 2 (using
GConf).

%description gnome2 -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji GNOME 2
(korzystających z GConfa).

%package gnome3
Summary:	GNOME 3 (GSettings) support on imsettings
Summary(pl.UTF-8):	Obsługa GNOME 3 (GSettings) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description gnome3
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on GNOME 3 (using
GSettings).

%description gnome3 -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji GNOME 3
(korzystających z GSettings).

%package mate
Summary:	MATE (MateConf) support on imsettings
Summary(pl.UTF-8):	Obsługa MATE (MateConfa) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description mate
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on MATE (using
MateConf).

%description mate -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji MATE
(korzystających z MateConfa).

%package qt
Summary:	Qt support on imsettings
Summary(pl.UTF-8):	Obsługa Qt dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description qt
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on Qt applications.

%description qt -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji Qt.

%package xfce
Summary:	Xfce support on imsettings
Summary(pl.UTF-8):	Obsługa Xfce dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Requires:	xfce4-settings >= 4.6.0
Provides:	%{name}-desktop-module = %{version}-%{release}

%description xfce
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on Xfce.

%description xfce -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji Xfce.

%package lxde
Summary:	LXDE support on imsettings
Summary(pl.UTF-8):	Obsługa LXDE dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
#Requires:	lxde-settings-daemon
Requires:	lxsession
Provides:	%{name}-desktop-module = %{version}-%{release}

%description lxde
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on LXDE.

%description lxde -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji LXDE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--disable-silent-rules \
	--with-xinputsh=50-xinput.sh \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/imsettings/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README

%{_sysconfdir}/X11/xinit/xinitrc.d/50-xinput.sh
%dir %{_sysconfdir}/X11/xinit/xinput.d
%{_sysconfdir}/X11/xinit/xinput.d/*.conf
%{_sysconfdir}/xdg/autostart/imsettings-start.desktop

%attr(755,root,root) %{_bindir}/imsettings-reload
%attr(755,root,root) %{_bindir}/imsettings-list
%attr(755,root,root) %{_bindir}/imsettings-info
%attr(755,root,root) %{_bindir}/imsettings-switch

%dir %{_libdir}/%{name}
%{_libdir}/imsettings-functions
%attr(755,root,root) %{_libdir}/imsettings-check
%attr(755,root,root) %{_libdir}/imsettings-daemon
%attr(755,root,root) %{_libdir}/xinputinfo.sh
%attr(755,root,root) %{_libdir}/imsettings-target-checker.sh
%{_datadir}/dbus-1/services/imsettings-daemon.service
%{_pixmapsdir}/imsettings-unknown.png

%{_mandir}/man1/imsettings-*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libimsettings.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimsettings.so.5
%{_libdir}/girepository-1.0/IMSettings-1.3.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libimsettings.so
%{_pkgconfigdir}/imsettings.pc
%{_includedir}/imsettings
%{_datadir}/gir-1.0/IMSettings-1.3.gir
%{_gtkdocdir}/imsettings

%files static
%defattr(644,root,root,755)
%{_libdir}/libimsettings.a

%files xim
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/imsettings-xim
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-xim.so

%files gnome2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-gconf.so

%files gnome3
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-gsettings.so

%if %{with mate}
%files mate
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-mateconf.so
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-mate-gsettings.so
%endif

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-qt.so

%if %{with xfce}
%files xfce
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-xfce.so
%endif

%files lxde
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-lxde.so
%changelog
* Tue Jul 16 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/imsettings.git;a=log;h=master

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> 8a9ba2b
- removed unneeded patch

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> fdc97b7
- up to 1.6.3

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 334a45f
- updated to 1.5.0
- added gxim patch (update for libgxim 0.4.0 API)

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> d168b97
- missed hunk in patch
- rel 3

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> ceaa4e5
- fix -Wformat-security errors
- rel 2

* Thu Nov 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 700e6cb
- removed obsolete TODO

* Thu Nov 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 90d7596
- added mate module

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 11261e7
- updated to 1.4.0

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> f5fc1b1
- updated to 1.3.1

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 4c33155
- updated to 1.3.0
- updated no-bash patch
- removed obsolete glib patch

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> cd1d93d
- updated to 1.2.9

* Wed Mar 28 2012 Artur Frysiak <artur@frysiak.net> a9984d9
- fix compilation with glib 2.32
- rel. 4

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b640caa
- release 2

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> d50bd19
- updated to 1.2.8.1

* Sat Feb 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 857bdfe
- updated to 1.2.8
- updated constraint-of-language,no-bash patches

* Wed Jan 25 2012 Jakub Bogusz <qboosh@pld-linux.org> b312cd5
- updated to 1.2.7.1

* Fri Jan 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 501f6d4
- updated to 1.2.7
- updated nobash patch

* Sun Nov 27 2011 Jakub Bogusz <qboosh@pld-linux.org> d179b87
- updated to 1.2.6

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> cd38446
- updated to 1.2.5
- pl, cleanup
- more complete install time dependencies

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> aed6baf
- rel 3
- comment out too optimistic lxde dep

